package com.community.huiju.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.BillInvoice;

import java.util.List;

/**
 * <p>
 * 缴费单 服务类
 * </p>
 *
 * @author weiximei
 * @since 2019-02-13
 */
public interface IBillInvoiceService extends IService<BillInvoice> {


    /**
     * 根据条件查询 缴费项目
     * @param parameter
     * @return
     */
    ResponseBean getBillList(String parameter, UserElement userElement);

    /**
     * 批量删除 缴费单
     * @param ids
     * @param userElement
     * @return
     */
    ResponseBean deleteBillInvoice(List<Integer> ids, UserElement userElement);

    /**
     * 设置线下缴费
     * @param ids
     * @param userElement
     * @return
     */
    ResponseBean offlinePayment(List<Integer> ids, UserElement userElement);

}
