import { getBillInvoiceList, updateBillNameAndBillExplainAndEndDate, getBillByIdInfo, deleteBillInvoiceById, billInvoiceOfflinePayment } from '@/api/billInvoice'

const billInvoice = {
  state: {

  },
  mutations: {

  },
  actions: {
    GetBillInvoiceList({ commit }, data) { // // 查询缴费单
      return new Promise((resolve, reject) => {
        getBillInvoiceList(data).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    UpdateBillNameAndBillExplainAndEndDate({ commit }, data) { // 修改缴费项 收费项名称,缴费项说明,截止时间
      return new Promise((resolve, reject) => {
        updateBillNameAndBillExplainAndEndDate(data).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    GetBillByIdInfo({ commit }, id) { // 根据 id 查询 缴费项信息
      return new Promise((resolve, reject) => {
        getBillByIdInfo(id).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    DeleteBillInvoiceById({ commit }, data) { // 根据 id 集合批量删除
      return new Promise((resolve, reject) => {
        deleteBillInvoiceById(data).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    BillInvoiceOfflinePayment({ commit }, data) { // 设置线下缴费
      return new Promise((resolve, reject) => {
        billInvoiceOfflinePayment(data).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    }
  }
}

export default billInvoice
